#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 postgresql-binary
version:              0.12.3.3
visibility:           public
id:                   postgresql-binary-0.12.3.3-2zjrTnys4ZCDPK3BVTFc6y
key:                  postgresql-binary-0.12.3.3-2zjrTnys4ZCDPK3BVTFc6y
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/postgresql-binary 
synopsis:             Encoders and decoders for the PostgreSQL'\''s binary format
description:
    An API for dealing with PostgreSQL'\''s binary data format.

    It can be used to implement performant bindings to Postgres.
    E.g., <http://hackage.haskell.org/package/hasql "hasql">
    is based on this library.

    It supports all Postgres versions starting from 8.3
    and is tested against 8.3, 9.3 and 9.5
    with the @integer_datetimes@ setting off and on.

category:             PostgreSQL, Database, Codecs, Parsing
abi:                  57b966796805793434af5d3679373acc
exposed:              True
exposed-modules:
    PostgreSQL.Binary.Data PostgreSQL.Binary.Decoding
    PostgreSQL.Binary.Encoding

hidden-modules:
    PostgreSQL.Binary.Encoding.Builders PostgreSQL.Binary.Prelude
    PostgreSQL.Binary.Integral PostgreSQL.Binary.Interval
    PostgreSQL.Binary.Numeric PostgreSQL.Binary.Time
    PostgreSQL.Binary.Inet PostgreSQL.Binary.BuilderPrim

import-dirs:          /usr/lib/ghc-8.10.4/site-local/postgresql-binary-0.12.3.3
library-dirs:         /usr/lib/ghc-8.10.4/site-local/postgresql-binary-0.12.3.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.4/postgresql-binary-0.12.3.3

hs-libraries:         HSpostgresql-binary-0.12.3.3-2zjrTnys4ZCDPK3BVTFc6y
depends:
    aeson-1.5.5.1-6NWVvXrflAc8ojSfaztJWW base-4.14.1.0
    base-prelude-1.4-HdaTqh6hlYNGbCWV2trBTv
    binary-parser-0.5.6-D8in16UaAGMDyi3XLoZEV1 bytestring-0.10.12.0
    bytestring-strict-builder-0.4.5.3-Gp5Msh1lA5wD3dORou9cyw
    containers-0.6.2.1 loch-th-0.2.2-I5sC8xMdeHtGFCQGeCmJ41
    network-ip-0.3.0.3-K3j3u1byE6R6oIP69o00Q9
    placeholders-0.1-LnT1Ex8VOCYHfdA136T0ei
    scientific-0.3.6.2-9ZxFCFgnJAMDhSD87n407w text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-48OepUjtvPcKuQlUwC19ed
    uuid-1.3.13-5JD3EqGtEMHKJxjjA9x8Tp
    vector-0.12.2.0-Ah3gN1EocbtK6SkxatFMVl

haddock-interfaces:
    /usr/share/doc/haskell-postgresql-binary/html/postgresql-binary.haddock

haddock-html:         /usr/share/doc/haskell-postgresql-binary/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

